DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash
@ 2018-08-01  5:22 Gavin Hu
  2018-08-01 10:40 ` [dpdk-dev] [dpdk-stable] " Mcnamara, John
  2018-08-03 22:17 ` [dpdk-dev] " Stephen Hemminger
  0 siblings, 2 replies; 7+ messages in thread
From: Gavin Hu @ 2018-08-01  5:22 UTC (permalink / raw)
  To: dev; +Cc: honnappa.nagarahalli, gavin.hu, stable

When running checkpatch.sh, it generates the following error
on some linux distributions(like Debian) with Dash as the
default shell interpreter.
trap: SIGINT: bad trap

The fix is to replace SIGINT with INT signal, it works for
both bash and dash.

Fixes: 4bec48184e ("devtools: add checks for ABI symbol addition")
Cc: stable@dpdk.org

Signed-off-by: Gavin Hu <gavin.hu@arm.com>
Reviewed-by: Honnappa Nagarahalli <honnappa.nagarahalli@amr.com>
---
 devtools/checkpatches.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
index 2509269df..ba795ad1d 100755
--- a/devtools/checkpatches.sh
+++ b/devtools/checkpatches.sh
@@ -29,7 +29,7 @@ clean_tmp_files() {
 	fi
 }
 
-trap "clean_tmp_files" SIGINT
+trap "clean_tmp_files" INT
 
 print_usage () {
 	cat <<- END_OF_HELP
-- 
2.11.0

^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2018-08-06 17:12 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2018-08-01  5:22 [dpdk-dev] [PATCH] devtools: trap SIGINT is not recognizable to dash Gavin Hu
2018-08-01 10:40 ` [dpdk-dev] [dpdk-stable] " Mcnamara, John
2018-08-01 13:09   ` Varghese, Vipin
2018-08-01 14:37   ` Thomas Monjalon
2018-08-03 22:17 ` [dpdk-dev] " Stephen Hemminger
2018-08-04  6:42   ` Gavin Hu
2018-08-06 17:12     ` Stephen Hemminger

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).